curl -H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"input":[{"category_url":"https://www.amazon.de/-/en/b?node=340843031","num_of_products":25}],"limit_per_input":null}' \
"https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_lwhideng15g8jg63s7¬ify=false&include_errors=true&type=discover_new&discover_by=category_url"
import requests
response = requests.post(
"https://api.brightdata.com/datasets/v3/scrape",
params={
"dataset_id": "gd_lwhideng15g8jg63s7",
"notify": "false",
"include_errors": "true",
"type": "discover_new",
"discover_by": "category_url",
},
headers={"Authorization": "Bearer YOUR_API_KEY"},
json={
"input": [
{
"category_url": "https://www.amazon.de/-/en/b?node=340843031",
"num_of_products": 25,
},
],
"limit_per_input": None,
},
)
print(response.text)
const params = new URLSearchParams({
dataset_id: "gd_lwhideng15g8jg63s7",
notify: "false",
include_errors: "true",
type: "discover_new",
discover_by: "category_url",
});
const response = await fetch(`https://api.brightdata.com/datasets/v3/scrape?${params}`, {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
body: JSON.stringify({
input: [
{
category_url: "https://www.amazon.de/-/en/b?node=340843031",
num_of_products: 25,
},
],
limit_per_input: null,
}),
});
console.log(await response.text());
[
{
"title": "Mechanical Gaming Keyboard RGB Backlit",
"url": "https://www.amazon.de/dp/B0C44556CD",
"asin": "B0C44556CD",
"price": 79.99,
"currency": "EUR",
"rating": 4.6,
"reviews_count": 5600,
"seller_name": "GamerGear EU",
"brand": "KeyMaster",
"availability": "In Stock",
"main_image": "https://m.media-amazon.com/images/I/example-keyboard.jpg",
"description": "Full-size mechanical keyboard with customizable RGB and hot-swappable switches.",
"category": "Computers & Accessories > Keyboards",
"country_domain": "amazon.de"
}
]
Amazon
Discover Amazon global by category URL
Discover Amazon global products from a category URL with the Bright Data Scraper API. Send POST /datasets/v3/scrape with dataset_id gd_lwhideng15g8jg63s7.
POST
/
datasets
/
v3
/
scrape
curl -H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"input":[{"category_url":"https://www.amazon.de/-/en/b?node=340843031","num_of_products":25}],"limit_per_input":null}' \
"https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_lwhideng15g8jg63s7¬ify=false&include_errors=true&type=discover_new&discover_by=category_url"
import requests
response = requests.post(
"https://api.brightdata.com/datasets/v3/scrape",
params={
"dataset_id": "gd_lwhideng15g8jg63s7",
"notify": "false",
"include_errors": "true",
"type": "discover_new",
"discover_by": "category_url",
},
headers={"Authorization": "Bearer YOUR_API_KEY"},
json={
"input": [
{
"category_url": "https://www.amazon.de/-/en/b?node=340843031",
"num_of_products": 25,
},
],
"limit_per_input": None,
},
)
print(response.text)
const params = new URLSearchParams({
dataset_id: "gd_lwhideng15g8jg63s7",
notify: "false",
include_errors: "true",
type: "discover_new",
discover_by: "category_url",
});
const response = await fetch(`https://api.brightdata.com/datasets/v3/scrape?${params}`, {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
body: JSON.stringify({
input: [
{
category_url: "https://www.amazon.de/-/en/b?node=340843031",
num_of_products: 25,
},
],
limit_per_input: null,
}),
});
console.log(await response.text());
[
{
"title": "Mechanical Gaming Keyboard RGB Backlit",
"url": "https://www.amazon.de/dp/B0C44556CD",
"asin": "B0C44556CD",
"price": 79.99,
"currency": "EUR",
"rating": 4.6,
"reviews_count": 5600,
"seller_name": "GamerGear EU",
"brand": "KeyMaster",
"availability": "In Stock",
"main_image": "https://m.media-amazon.com/images/I/example-keyboard.jpg",
"description": "Full-size mechanical keyboard with customizable RGB and hot-swappable switches.",
"category": "Computers & Accessories > Keyboards",
"country_domain": "amazon.de"
}
]
Query Parameters
string
default:"gd_lwhideng15g8jg63s7"
required
The dataset ID used for this request.
Must be set to
gd_lwhideng15g8jg63s7 to collect Discover by Category URL data.string
default:"discover_new"
Must be set to
discover_new.string
default:"category_url"
Must be set to
category_url.boolean
default:false
Whether to send notifications when the request is completed.
boolean
default:true
Whether to include errors in the response.
Request Body
object[]
required
curl -H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"input":[{"category_url":"https://www.amazon.de/-/en/b?node=340843031","num_of_products":25}],"limit_per_input":null}' \
"https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_lwhideng15g8jg63s7¬ify=false&include_errors=true&type=discover_new&discover_by=category_url"
import requests
response = requests.post(
"https://api.brightdata.com/datasets/v3/scrape",
params={
"dataset_id": "gd_lwhideng15g8jg63s7",
"notify": "false",
"include_errors": "true",
"type": "discover_new",
"discover_by": "category_url",
},
headers={"Authorization": "Bearer YOUR_API_KEY"},
json={
"input": [
{
"category_url": "https://www.amazon.de/-/en/b?node=340843031",
"num_of_products": 25,
},
],
"limit_per_input": None,
},
)
print(response.text)
const params = new URLSearchParams({
dataset_id: "gd_lwhideng15g8jg63s7",
notify: "false",
include_errors: "true",
type: "discover_new",
discover_by: "category_url",
});
const response = await fetch(`https://api.brightdata.com/datasets/v3/scrape?${params}`, {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
body: JSON.stringify({
input: [
{
category_url: "https://www.amazon.de/-/en/b?node=340843031",
num_of_products: 25,
},
],
limit_per_input: null,
}),
});
console.log(await response.text());
[
{
"title": "Mechanical Gaming Keyboard RGB Backlit",
"url": "https://www.amazon.de/dp/B0C44556CD",
"asin": "B0C44556CD",
"price": 79.99,
"currency": "EUR",
"rating": 4.6,
"reviews_count": 5600,
"seller_name": "GamerGear EU",
"brand": "KeyMaster",
"availability": "In Stock",
"main_image": "https://m.media-amazon.com/images/I/example-keyboard.jpg",
"description": "Full-size mechanical keyboard with customizable RGB and hot-swappable switches.",
"category": "Computers & Accessories > Keyboards",
"country_domain": "amazon.de"
}
]
Was this page helpful?